/*importing fonts from google fonts*/
@import url('https://fonts.googleapis.com/css2?family=Exo:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oxanium:wght@200..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Zen+Dots&display=swap');

/*The base layer of the navbar*/
.full-width-navbar {
    width:100vw;
    position: fixed;
    left: 0;
    top: 0;
    background-color: #0c121d;
}

/*Smaller area inside navbar box that contains all links and elements of the navbar*/
.navbar {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 80px;
    width: 100%;
    max-width: 2000px;
    margin: 0 auto;
    background-color: #0c121d;
    padding: 0.5rem 1rem;
    box-sizing: border-box;
    border-bottom: 2px solid #121722;
    font-size: 1.5rem;
    font-family: "Oxanium", monospace, sans-serif;
}

/*Changing the style of all links and when they are hovered or visited*/
a {
    text-decoration: none;
    color: #009dbd;
}

a:hover {
    color: #5fe6f5;
}

a.current {
    pointer-events:none;
    color: #A5B452;
}

/*styling the top left logo*/
.navbar img {
    padding: 0.5rem;
    padding-right: 1.5rem;
    border-right: 4px #007EA7 dotted;
    display: block;
}

.nav-links {
    flex: 1;
    display: flex;
    justify-content: space-evenly;
    color: #007ea7;
}

/*styling the 3 SVGs on the 'background.html' page*/
.svgs-bg {
    display: flex;
    flex-direction: row;
    max-width: 100%;
    justify-content: center;
    gap: 20px;
    padding: 1rem 1rem;
}

.svgs-bg img {
    max-width: 250px;
    background-color: #121722;
    padding: 1rem 1rem;
    border-radius: 30px;
}

/*Rearranging the 3 SVGs on the 'background.html' page when the page width is decreased*/
@media (max-width: 950px) {
    .svgs-bg {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}

/*styling the hamburger menu button ("&#9776;" symbol)*/
.hamburger {
    display: none;
    background-color: #0A0D14;
    width: 50px;
    height: 50px;
    border: 2px solid #007EA7;
    font-size: 2rem;
    color: #007EA7;
    cursor: pointer;
    align-items: center;
    justify-content: center;
}

/*restyling hamburger menu button when hovered over*/
.hamburger:hover{
    background-color: #007EA7;
    border: none;
    color: #0A0D14;
}

/*----RESIZING-NAVBARS----*/

/*This is only for desktop browsers*/
/*repositioning and resizing menus and items when the width of the window is shrunk*/
@media (max-width: 800px) {

    /*repositioning to fit the hamburger menu button on the navbar correctly*/
    .navbar {
        justify-content:space-between;
        padding: 0.5rem 2rem 0.5rem 1rem;
        height: 80px;
    }

    /*Hides the navbar links*/
    .nav-links {
        display: none;
    }

    /*Shows navbar links in a column when hamburger element is pressed*/
    .nav-links.show {
        display: flex;
        flex-direction: column;
        position: fixed;
        font-size: 2rem;
        top: 80px;
        right: 0;
        width: 12rem;
        background-color: #0c121d;
        color: #007ea7;
        padding-left: 5px;
        border-left: #121722 2px solid;
        border-bottom: #121722 2px solid;
    }

    /*Shows and resizes the hamburger menu*/
    .hamburger {
        display: flex;
        height: 50px;
        width: 50px;
        font-size: 2rem;
        padding-bottom: 4px;
    }
}

/*this is only for mobile browsers*/
/*repositioning and resizing menus and items when the width of the window is shrunk*/
@media (max-width:1100px) {

    /*resizing top navbar (thicker for mobile)*/
    .navbar.mobile {
        justify-content:space-between;
        padding: 0.5rem 1rem;
        padding-right: 2rem;
        height: 150px;
    }

    /*Hides the navbar links*/
    .navbar.mobile .nav-links {
            display: none;
        }

    .navbar.mobile .nav-links.show {
        display: flex;
        flex-direction: column;
        position: fixed;
        font-size: 4rem;
        top: 150px;
        right: 0;
        width: 400px;
        background-color: #0c121d;
        color: #007ea7;
        padding-left: 5px;
        border-left: #121722 4px solid;
        border-bottom: #121722 4px solid;
    }

    /*resizing logo in the top left*/
    .navbar.mobile img {
        border: none;
        height:80px;
        width:400px;
    }

    /*styling the hamburger button*/
    .navbar.mobile .hamburger {
        display: flex;
        height: 100px;
        width: 100px;
        font-size: 4rem;
        padding-bottom: 5px;
    }

    /*adjusting padding at the top*/
    body.mobile {
        padding-top: 150px;
    }
}


h1 {
    color: #A5B452;
    font-family: 'Zen Dots', Monaco, monospace;
}

body {
    background-color: #0A0D14;
    padding-left: 2rem;
    padding-right: 2rem;
    padding-top: 70px;
    font-family: 'Exo', monospace;
    color:#dddddd;
    font-size:1.2rem;
}

body.mobile {
    font-size: 1.5rem;
}

/*ensuring the main content will leave adequate margins as the window gets narrower*/
.content {
    max-width: 900px;
    margin: 0 auto;
    font-size: 1.2rem;
}

/*styling the final thank you on 'effects.html' page*/
.thank-you-reading {
    color: #5fe6f5;
}

/*styling the submit button on the feedback page to ensure no accidental form resets*/
#submit-but {
    background-color: #A5B452;
    font-family: monospace;
}

#clear-but {
    font-family: monospace;
    margin-right: 10px;
}

/*hides the thankyou message before form submission*/
#thank-you {
    display: none;
}

/*styling the small disclaimer text below the form*/
.form-disclaimer {
    font-size: 1rem;
    color:#007EA7;
}